<bugID>619930<Summary>Change the back/forward buttons tooltips to notify users that right-clicking/click-holding the button will display the history</Summary><Description>Bug 606888 was filed to make it discoverable how to access the back and forward button's history menu but was wont fixed, probably due to not having clear specific suggestions.  I think the best option (or at least short term best option) is to change the tooltip to notify users that click-holding the buttons will display the history.

Before:
"Go back one page"
"Go forward on page"

After:
"Go back one page. Click and hold to display history"
"Go forward one page. Click and hold to display history"</Description></bugID>